Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.opentrac
Class OpenTracWeatherObs

    java.lang.Object
      org.ka2ddo.opentrac.OpenTracElement
          org.ka2ddo.opentrac.OpenTracWeatherObs

All Implemented Interfaces:
  java.io.Serializable

    public class OpenTracWeatherObs

extends OpenTracElement

An OpenTRAC element that represents the current surface weather observations at the entity.

See Also:
  Serialized Form

Field Summary
`short` | `baroPressure01Pa` Barometric pressure in 0.1 Pascals.
`short` | `humidityPct` Relative humidity percentage.
`short` | `period` Time over which averages are averaged, in seconds.
`short` | `rainfall` Rainfall over averaging interval in 0.1 Kg/cm^2
`short` | `tempK` Current temperature in 0.1 degrees Kelvin.
`short` | `windDir` Wind directions, in degrees from True North.
`short` | `windGust01MS` Wind peak gust speed in 0.1 meters per second units.
`short` | `windSpeed01MS` Wind speed in 0.1 meters per second units.

Fields inherited from class org.ka2ddo.opentrac.OpenTracElement
`id`

Constructor Summary
`OpenTracWeatherObs()` Create uninitialized OpenTracWeatherObs element.
`OpenTracWeatherObs(int type, byte[] body, int offset, int length)` Extract a OpenTracWeatherObs element from a byte array

Method Summary
`int` | `computeBody(byte[] buf, int offset)` Append this element to a message buffer
`boolean` | `equals(OpenTracElement other)` Test if this OpenTracElement has the same type and value as another OpenTracElement.
`int` | `length()` Return the number of bytes needed to encode this element.
`java.lang.String` | `valueString()` Get the string representation of the value of this element.

Methods inherited from class org.ka2ddo.opentrac.OpenTracElement
`getId, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### period

    public short period

  Time over which averages are averaged, in seconds.

### windDir

    public short windDir

  Wind directions, in degrees from True North.

### windSpeed01MS

    public short windSpeed01MS

  Wind speed in 0.1 meters per second units.

### windGust01MS

    public short windGust01MS

  Wind peak gust speed in 0.1 meters per second units.

### tempK

    public short tempK

  Current temperature in 0.1 degrees Kelvin.

### rainfall

    public short rainfall

  Rainfall over averaging interval in 0.1 Kg/cm^2

### baroPressure01Pa

    public short baroPressure01Pa

  Barometric pressure in 0.1 Pascals.

### humidityPct

    public short humidityPct

  Relative humidity percentage.

Constructor Detail

### OpenTracWeatherObs

    public OpenTracWeatherObs()

  Create uninitialized OpenTracWeatherObs element.

### OpenTracWeatherObs

    public OpenTracWeatherObs(int type,
                              byte[] body,
                              int offset,
                              int length)

  Extract a OpenTracWeatherObs element from a byte array

  Parameters:
    `type` - OpenTracTypes code for this element
    `body` - byte array to extract element from
    `offset` - zero-based array index to start extraction
    `length` - number of bytes to extract

Method Detail

### valueString

    public java.lang.String valueString()

  Get the string representation of the value of this element.

  Specified by:
    `valueString` in class `OpenTracElement`
  Returns:
    value string

### computeBody

    public int computeBody(byte[] buf,
                           int offset)

  Append this element to a message buffer

  Specified by:
    `computeBody` in class `OpenTracElement`
  Parameters:
    `buf` - byte array to add the element to
    `offset` - starting index to store the element
  Returns:
    index after the end of the stored element

### length

    public int length()

  Return the number of bytes needed to encode this element.

  Specified by:
    `length` in class `OpenTracElement`
  Returns:
    byte count needed to hold this element

### equals

    public boolean equals(OpenTracElement other)

  Test if this OpenTracElement has the same type and value as another OpenTracElement.

  Specified by:
    `equals` in class `OpenTracElement`
  Parameters:
    `other` - OpenTracElement to compare against this element
  Returns:
    boolean true if elements are of the same type, class, and value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD